<?xml version='1.0' encoding='utf-8'?>
<Project Sdk="Microsoft.NET.Sdk">
    <PropertyGroup>
        <TargetFramework>net9.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>
    <ItemGroup>
        <PackageReference Include="aeqw89.DataKeys" Version="2.1.1" />
        <PackageReference Include="aeqw89.PersistentData" Version="1.4.5" />
        <PackageReference Include="Microsoft.Extensions.Logging" Version="9.0.9" />
        <PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="9.0.9" />
        <PackageReference Include="Microsoft.Extensions.Logging.Console" Version="9.0.9" />
    </ItemGroup>
    <ItemGroup>
        <ProjectReference Include="..\Beam.Data\Beam.Data.csproj" />
        <ProjectReference Include="..\Beam.Downloaders\Beam.Downloaders.csproj" />
        <ProjectReference Include="..\Beam.Dynamic\Beam.Dynamic.csproj">
            <PrivateAssets>all</PrivateAssets>
        </ProjectReference>
        <ProjectReference Include="..\Beam.Exceptions\Beam.Exceptions.csproj" />
        <ProjectReference Include="..\Beam.Models\Beam.Models.csproj" />
        <ProjectReference Include="..\Beam.Playwright\Beam.Playwright.csproj">
            <PrivateAssets>all</PrivateAssets>
        </ProjectReference>
        <ProjectReference Include="..\Beam.Stealth\Beam.Stealth.csproj">
            <PrivateAssets>all</PrivateAssets>
        </ProjectReference>
        <ProjectReference Include="..\Beam\Beam.csproj" />
    </ItemGroup>
</Project>